<?php

return [

	/*
	|--------------------------------------------------------------------------
	| Validation Language Lines
	|--------------------------------------------------------------------------
	|
	| 提示：following language lines contain the default error messages used by
	| 提示：validator class. Some of these rules have multiple versions such
	| as 提示：size rules. Feel free to tweak each of these messages here.
	| 【【Translated from the Jonvi】】
	*/

	"accepted"             => "提示： :attribute 必须被允许.",
	"active_url"           => "提示：:attribute 不是一个有效的 URL.",
	"after"                => "提示：:attribute 时间必须在 :date 之后.",
	"alpha"                => "提示：:attribute 只能包含字母.",
	"alpha_dash"           => "提示：:attribute 只能包含字母，数字，和 - ",
	"alpha_num"            => "提示：:attribute 只能包含字母，数字.",
	"array"                => "提示：:attribute 必须是一个数组.",
	"before"               => "提示：:attribute 时间必须在 :date 之前.",
	"between"              => [
		"numeric" => "提示：:attribute 限制 :min - :max.",
		"file"    => "提示：:attribute 限制 :min - :max KB.",
		"string"  => "提示：:attribute 限制 :min - :max 字符.",
		"array"   => "提示：:attribute 限制 :min - :max 个项目.",
	],
	"boolean"              => "提示：:attribute field must be true or false.",
	"confirmed"            => "提示：:attribute 不匹配.",
	"date"                 => "提示：:attribute 不是一个有效的日期.",
	"date_format"          => "提示：:attribute 不支持 :format 格式.",
	"different"            => "提示：:attribute 和 :other 必须不同.",
	"digits"               => "提示：:attribute 必须 :digits 个数字.",
	"digits_between"       => "提示：:attribute 限制 :min - :max 个数字.",
	"email"                => "提示：:attribute 必须是一个有效的电子邮件地址.",
	"filled"               => "提示：:attribute 字段是必需的.",
	"exists"               => "提示：选择的 :attribute 已存在.",
	"image"                => "提示：:attribute 必须是图片.",
	"in"                   => "提示：selected :attribute is invalid.",
	"integer"              => "提示：:attribute 必须是整数.",
	"ip"                   => "提示：:attribute 必须是一个有效的IP.",
	"max"                  => [
		"numeric" => "提示：:attribute 不能大于 :max.",
		"file"    => "提示：:attribute 不能大于 :max kilobytes.",
		"string"  => "提示：:attribute 不能大于 :max characters.",
		"array"   => "提示：:attribute 不能超过 :max items.",
	],
	"mimes"                => "提示：:attribute 必须是 :values 类型的文件.",
	"min"                  => [
		"numeric" => "提示：:attribute 至少 :min.",
		"file"    => "提示：:attribute 至少 :min KB.",
		"string"  => "提示：:attribute 至少 :min 字符.",
		"array"   => "提示：:attribute 至少 :min 个项目.",
	],
	"not_in"               => "提示：selected :attribute is invalid.",
	"numeric"              => "提示：:attribute 必须是数字.",
	"regex"                => "提示：:attribute 不支持格式.",
	"required"             => "提示：:attribute 字段是必需的.",
	"required_if"          => "提示：:attribute 字段是必须的 when :other is :value.",
	"required_with"        => "提示：:attribute 字段是必须的 when :values is present.",
	"required_with_all"    => "提示：:attribute 字段是必须的 when :values is present.",
	"required_without"     => "提示：:attribute 字段是必须的 when :values is not present.",
	"required_without_all" => "提示：:attribute 字段是必须的 when none of :values are present.",
	"same"                 => "提示：:attribute and :other 必须一致.",
	"size"                 => [
		"numeric" => "提示：:attribute 必须 :size.",
		"file"    => "提示：:attribute 不能大于 :size KB.",
		"string"  => "提示：:attribute 必须 :size 个字符.",
		"array"   => "提示：:attribute 必须包含 :size 个项目.",
	],
	"unique"               => "提示：:attribute has a已被使用.",
	"url"                  => "提示：:attribute 格式不支持.",
	"timezone"             => "提示：:attribute must be a valid zone.",

	/*
	|--------------------------------------------------------------------------
	| Custom Validation Language Lines
	|--------------------------------------------------------------------------
	|
	| Here you may specify custom validation messages for attributes using the
	| convention "attribute.rule" to name the lines. This makes it quick to
	| specify a specific custom language line for a given attribute rule.
	| 【【Translated from the Jonvi】】
	*/

	'custom' => [
		'attribute-name' => [
			'rule-name' => 'custom-message',
		],
	],

	/*
	|--------------------------------------------------------------------------
	| Custom Validation Attributes
	|--------------------------------------------------------------------------
	|
	| 提示：following language lines are used to swap attribute place-holders
	| with something more reader friendly such as E-Mail Address instead
	| of "email". This simply helps us make messages a little cleaner.
	|
	*/

	'attributes' => [],

];
